Index: external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc
===================================================================
--- external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: ATLASConePlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: ATLASConePlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh
===================================================================
--- external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: ATLASConePlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: ATLASConePlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: CDFJetCluPlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: CDFJetCluPlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: CDFMidPointPlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: CDFMidPointPlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: CDFJetCluPlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: CDFJetCluPlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: CDFMidPointPlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: CDFMidPointPlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc
===================================================================
--- external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -2,5 +2,5 @@
 // $Id: CMSIterativeConePlugin.cc 1504 2009-04-10 13:39:48Z salam $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh
===================================================================
--- external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -2,5 +2,5 @@
 // $Id: CMSIterativeConePlugin.hh 1508 2009-04-10 22:46:49Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc
===================================================================
--- external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -2,5 +2,5 @@
 // $Id: D0RunIBaseConePlugin.cc 1779 2010-10-25 10:32:59Z soyez $
 //
-// Copyright (c) 2009-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -5,5 +5,5 @@
 // $Id: D0RunIBaseConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -5,5 +5,5 @@
 // $Id: D0RunIConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -5,5 +5,5 @@
 // $Id: D0RunIpre96ConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc
===================================================================
--- external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: D0RunIIConePlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: D0RunIIConePlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: D0RunIIConePlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: D0RunIIConePlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/EECambridge/EECambridgePlugin.cc
===================================================================
--- external/fastjet/plugins/EECambridge/EECambridgePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/EECambridge/EECambridgePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: EECambridgePlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: EECambridgePlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh
===================================================================
--- external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: EECambridgePlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: EECambridgePlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/GridJet/GridJetPlugin.cc
===================================================================
--- external/fastjet/plugins/GridJet/GridJetPlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/GridJet/GridJetPlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -2,5 +2,5 @@
 // $Id: GridJetPlugin.cc 2268 2011-06-20 15:12:26Z salam $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh
===================================================================
--- external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -5,5 +5,5 @@
 // $Id: GridJetPlugin.hh 2267 2011-06-20 15:10:23Z salam $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/Jade/JadePlugin.cc
===================================================================
--- external/fastjet/plugins/Jade/JadePlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/Jade/JadePlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: JadePlugin.cc 4354 2018-04-22 07:12:37Z salam $
-//
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: JadePlugin.cc 4442 2020-05-05 07:50:11Z soyez $
+//
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -108,7 +108,10 @@
     // get a number that is almost the same as max(), just a little
     // smaller so as to ensure that when we divide it by rt2E and then
-    // multiply it again, we won't get an overflow
+    // multiply it again, we won't get an overflow.
+    // Watch out for cases where rt2E < 1.0 (cf. bug fix from
+    // andrii.verbytskyi@mpp.mpg.de on 2019-02-14)
     const double almost_max = numeric_limits<double>::max() * (1 - 1e-13);
-    return almost_max / rt2E;
+    if (rt2E>1.0) return almost_max / rt2E;
+    else          return almost_max; 
   }
   
Index: external/fastjet/plugins/Jade/fastjet/JadePlugin.hh
===================================================================
--- external/fastjet/plugins/Jade/fastjet/JadePlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/Jade/fastjet/JadePlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: JadePlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: JadePlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc
===================================================================
--- external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: NestedDefsPlugin.cc 4354 2018-04-22 07:12:37Z salam $
+// $Id: NestedDefsPlugin.cc 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh
===================================================================
--- external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: NestedDefsPlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: NestedDefsPlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/SISCone/AUTHORS
===================================================================
--- external/fastjet/plugins/SISCone/AUTHORS	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/SISCone/AUTHORS	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -6,10 +6,8 @@
 	     France
 
-	 (2) PH-TH, CERN, CH-1211 Geneva 23, Switzerland;
+	 (2) Rudolf Peierls Centre for Theoretical Physics, Parks Road, Oxford OX1 3PU, UK;
+             PH-TH, CERN, CH-1211 Geneva 23, Switzerland;
              LPTHE, UPMC (Univ. Paris 6), 75252 Paris cedex 05, France.
 
-phone  : +33 69 08 40 11
-         +41 22 767 2462
-
 email  : soyez@fastjet.fr
-         gavin.salam@cern.ch
+         gavin.salam@physics.ox.ac.uk
Index: external/fastjet/plugins/SISCone/config.h
===================================================================
--- external/fastjet/plugins/SISCone/config.h	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/SISCone/config.h	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -83,5 +83,5 @@
 /* Define to the full name and version of this package. */
 #ifndef SISCONE_PACKAGE_STRING 
-#define SISCONE_PACKAGE_STRING  "SISCone 3.0.4" 
+#define SISCONE_PACKAGE_STRING  "SISCone 3.0.5" 
 #endif
 
@@ -98,5 +98,5 @@
 /* Define to the version of this package. */
 #ifndef SISCONE_PACKAGE_VERSION 
-#define SISCONE_PACKAGE_VERSION  "3.0.4" 
+#define SISCONE_PACKAGE_VERSION  "3.0.5" 
 #endif
 
@@ -111,5 +111,5 @@
 /* Version number of package */
 #ifndef SISCONE_VERSION 
-#define SISCONE_VERSION  "3.0.4" 
+#define SISCONE_VERSION  "3.0.5" 
 #endif
  
Index: external/fastjet/plugins/SISCone/config_raw.h
===================================================================
--- external/fastjet/plugins/SISCone/config_raw.h	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/SISCone/config_raw.h	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -48,5 +48,5 @@
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "SISCone 3.0.4"
+#define PACKAGE_STRING "SISCone 3.0.5"
 
 /* Define to the one symbol short name of this package. */
@@ -57,5 +57,5 @@
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "3.0.4"
+#define PACKAGE_VERSION "3.0.5"
 
 /* Define to 1 if you have the ANSI C header files. */
@@ -66,3 +66,3 @@
 
 /* Version number of package */
-#define VERSION "3.0.4"
+#define VERSION "3.0.5"
Index: external/fastjet/plugins/SISCone/geom_2d.h
===================================================================
--- external/fastjet/plugins/SISCone/geom_2d.h	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/SISCone/geom_2d.h	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision:: 268                                                          $//
-// $Date:: 2009-03-12 21:24:16 +0100 (Thu, 12 Mar 2009)                     $//
+// $Revision:: 422                                                          $//
+// $Date:: 2020-04-22 11:51:09 +0200 (Wed, 22 Apr 2020)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
@@ -153,10 +153,10 @@
   /// return the cell index corrsponding to an eta value
   inline unsigned int get_eta_cell(double eta){
-    return (unsigned int) (1 << ((int) (32*((eta-eta_min)/(eta_max-eta_min)))));
+    return (unsigned int) (1u << ((int) (32*((eta-eta_min)/(eta_max-eta_min)))));
   }
 
   /// return the cell index corrsponding to a phi value
   inline unsigned int get_phi_cell(double phi){
-    return (unsigned int) (1 << ((int) (32*phi/twopi+16)%32));
+    return (unsigned int) (1u << ((int) (32*phi/twopi+16)%32));
   }
 };
Index: external/fastjet/plugins/TrackJet/TrackJetPlugin.cc
===================================================================
--- external/fastjet/plugins/TrackJet/TrackJetPlugin.cc	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/TrackJet/TrackJetPlugin.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: TrackJetPlugin.cc 4354 2018-04-22 07:12:37Z salam $
-//
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: TrackJetPlugin.cc 4442 2020-05-05 07:50:11Z soyez $
+//
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh
===================================================================
--- external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh	(revision 969eb19d9c4a0e11a98ebaaccf0633de794d0d6b)
+++ external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: TrackJetPlugin.hh 4354 2018-04-22 07:12:37Z salam $
+// $Id: TrackJetPlugin.hh 4442 2020-05-05 07:50:11Z soyez $
 //
-// Copyright (c) 2007-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
